module DrillMudsThermalProps

# import Interpolations: LinearInterpolation
import Interpolations: linear_interpolation
import ForwardDiff: gradient
import LinearAlgebra: dot
import JLD2: jldopen
import DataFrames: DataFrame
import Unitful: @u_str, uconvert, upreferred, Quantity, ustrip
import Integrals: IntegralProblem,solve,QuadGKJL
import XLSX: openxlsx, writetable!, rename!, CellRef, addsheet!


include("Erros.jl")
include("Materials.jl")
include("EquationsOfState.jl")

include("Correlations.jl")

Fluids_paths=joinpath(@__DIR__,"Fluids")
Fluids_files=joinpath.(Fluids_paths,readdir(Fluids_paths))
# println((fs=Fluids_files,)) #DEBUG
include.(Fluids_files)

Solids_paths=joinpath(@__DIR__,"Solids")
Solids_files=joinpath.(Solids_paths,readdir(Solids_paths))
include.(Solids_files)




include("Mixture.jl")
Trans_Mix_rules_paths=joinpath(@__DIR__,"TransportPropsMixtureRules")
Trans_Mix_rules_files=joinpath.(Trans_Mix_rules_paths,readdir(Trans_Mix_rules_paths))
include.(Trans_Mix_rules_files)



include("InputTableParser.jl")
include("Exporter.jl")


end
